Go to the first, previous, next, last section, table of contents.

### log options

By default, `log` prints all information that is available. All other options restrict the output.

`-b`
  Print information about the revisions on the default branch, normally the highest branch on the trunk.
`-d dates`
  Print information about revisions with a checkin date/time in the range given by the semicolon-separated list of dates. The date formats accepted are those accepted by the ``-D'` option to many other CVS commands (see section Common command options). Dates can be combined into ranges as follows:
  `d1<d2`
  `d2>d1`
    Select the revisions that were deposited between d1 and d2.
  `<d`
  `d>`
    Select all revisions dated d or earlier.
  `d<`
  `>d`
    Select all revisions dated d or later.
  `d`
    Select the single, latest revision dated d or earlier.
  The ``>'` or ``<'` characters may be followed by ``='` to indicate an inclusive range rather than an exclusive one. Note that the separator is a semicolon (;).
`-h`
  Print only the RCS pathname, working pathname, head, default branch, access list, locks, symbolic names, and suffix.
`-l`
  Local; run only in current working directory. (Default is to run recursively).
`-N`
  Do not print the list of tags for this file. This option can be very useful when your site uses a lot of tags, so rather than "more"'ing over 3 pages of tag information, the log information is presented without tags at all.
`-R`
  Print only the name of the RCS history file.
`-rrevisions`
  Print information about revisions given in the comma-separated list revisions of revisions and ranges. The following table explains the available range formats:
  `rev1:rev2`
    Revisions rev1 to rev2 (which must be on the same branch).
  `:rev`
    Revisions from the beginning of the branch up to and including rev.
  `rev:`
    Revisions starting with rev to the end of the branch containing rev.
  `branch`
    An argument that is a branch means all revisions on that branch.
  `branch1:branch2`
    A range of branches means all revisions on the branches in that range.
  `branch.`
    The latest revision in branch.
  A bare ``-r'` with no revisions means the latest revision on the default branch, normally the trunk. There can be no space between the ``-r'` option and its argument.
`-s states`
  Print information about revisions whose state attributes match one of the states given in the comma-separated list states.
`-t`
  Print the same as ``-h'`, plus the descriptive text.
`-wlogins`
  Print information about revisions checked in by users with login names appearing in the comma-separated list logins. If logins is omitted, the user's login is assumed. There can be no space between the ``-w'` option and its argument.

`log` prints the intersection of the revisions selected with the options ``-d'`, ``-s'`, and ``-w'`, intersected with the union of the revisions selected by ``-b'` and ``-r'`.

Go to the first, previous, next, last section, table of contents.